**pycolordetector** is a Python package for detecting colors in images. It provides fast and easy way to detect color of a pixel. The applications build through this package will automatically give the name of the color just by double-clicking on them. pycolordetector has been designed to make working with image data both simple and intuitive. It aims to be the fundamental high-level building block for doing practical and real-world analysis on images. 

## Installation

The source code is currently hosted on GitHub at:<br>
https://github.com/sunnysinghnitb/pycolordetector

To install pycolordetector, simply use pip:
```sh
pip install pycolordetector
```

## Example Usage

The following illustrates how to use the *colo* function of pycolordetector:
```sh
from pycolordetector.pycolordetector import colo
colo("Path_of_your_image")
```

## Documentation

The official documentation is hosted on:<br>
https://pycolordetector.readthedocs.io/en/latest/

## License

**pycolordetector** is published under the [MIT License][mit].

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so.


## Contributions

All contributions, bug reports, bug fixes, documentation improvements, enhancements and ideas are welcome. 

Issues are posted on:<br>
https://github.com/sunnysinghnitb/pycolordetector/issues

**pycolordetector** appreciates help from a wide range of different backgrounds. Work such as high level documentation or code improvements are valuable, and small improvements or fixes are always appreciated. If you are considering larger contributions outside the traditional coding work, please contact us at sunnysinghnitb@gmail.com.


[pcking]: https://packaging.python.org
[mit]: https://github.com/sunnysinghnitb/pycolordetector/blob/master/LICENSE